Debian Bug report logs - #610303
RM: dropbox -- RoQA; unredistributable; non-free; NPOASR

Package: snapshot.debian.org; Maintainer for snapshot.debian.org is snapshot.debian.org Team <debian-snapshot@lists.debian.org>;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Sun, 16 Jan 2011 19:30:02 UTC

Severity: normal

Done: Peter Palfrader <weasel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Ivan Borzenkov <ivan1986@list.ru>:
Bug#610257; Package src:dropbox. (Sun, 16 Jan 2011 19:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, Ivan Borzenkov <ivan1986@list.ru>. (Sun, 16 Jan 2011 19:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dropbox: multiple license violations
Date: Sun, 16 Jan 2011 20:28:16 +0100
Source: dropbox
Version: 1.0.10-1
Severity: serious
Justification: Policy 2.2.3, 4.5

dropbox bundles many 3rd party binary-only libraries in a way that 
violates their licenses:

1) ncrypt-0.6.4-*.egg/, according to its PKG-INFO (which is horribly 
mangled, BTW), contains a GPL-licensed library with accompanying source.  
Additionally, this library is linked to OpenSSL, but those two licenses 
are incompatible.

2) netifaces-0.5*.egg/ contains the netifaces library, which is 
MIT-licensed. One of the clause of the license is "The above copyright 
notice and this permission notice shall be included in all copies or 
substantial portions of the Software." Neither is included in dropbox.

3) _dbus*_bindings.so is the python-dbus library. It is MIT-licensed, 
but copyright & permission notices are not included.

4) _librsync.so contains statically-linked librync library which is 
under LGPL-2.1+ license. No source is provided.

5) _speedups.so contains (parts of) the simplejson library. It is 
MIT-licensed, but copyright & permission notices are not included.

6) pyexpat.so contains statically linked Expat library. It is 
MIT-licensed, but copyright & permission notices are not included.

7) libcrypto.so.0.9.8, libssl.so.0.9.8 are parts of the OpenSSL library. 
Its license require that "Redistributions in binary form must reproduce 
the above copyright notice, this list of conditions and the following 
disclaimer in the documentation and/or other materials provided with the 
distribution." Neither is reproduced in dropbox.

8) libncurses.so.5 is the ncurses library. It is MIT-licensed, but 
copyright & permission notices are not included.


(Disclaimer: I didn't do full audit of the shipped code. There might be 
other license problems in dropbox.)

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#610257; Package src:dropbox. (Mon, 17 Jan 2011 06:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Borzenkov <ivan1986@list.ru>:
Extra info received and forwarded to list. (Mon, 17 Jan 2011 06:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 610257@bugs.debian.org (full text, mbox):

From: Ivan Borzenkov <ivan1986@list.ru>
To: Jakub Wilk <jwilk@debian.org>
Cc: 610257@bugs.debian.org
Subject: Re: Bug#610257: dropbox: multiple license violations
Date: Mon, 17 Jan 2011 09:41:06 +0300
[Message part 1 (text/plain, inline)]
16 января 2011 22:28:16 Jakub Wilk писали:
> Source: dropbox
> Version: 1.0.10-1
> Severity: serious
> Justification: Policy 2.2.3, 4.5
> 
> dropbox bundles many 3rd party binary-only libraries in a way that
> violates their licenses:
> 
> (Disclaimer: I didn't do full audit of the shipped code. There might be
> other license problems in dropbox.)
> 
> ...

If YOU need it, then please send a patch. I do not care what is written in the 
file "copyright".
I make a package in my PPA because debian requirements of the heap with 
licenses and give many problems whis this (incidentally that's why I went to 
Ubuntu).

I do not care whether this package in debian and I asked to upload there 
because he is popular, given that users of debian wait until they bring in the 
beak a new version (which is exemplified in psi+) something filth you just do 
them, but they are already familiar - they have a standard response "it is not 
necessary".

Package missed ftp master, but if you personally do not like it:
--------------------------

Use precompiled Librares (/usr/lib/dropbox):

many *.so files:
sqlite, wxWidgets, python, system

Necessary because of the unstable ABI in the system libraries.

-----------------------------------------------------------------------------
you can write at least 10mb of any delusion that will warm the soul fanatics 
like Stallman.

---
Иван Борзенков <ivan1986@list.ru>
[signature.asc (application/pgp-signature, inline)]

Bug 610257 cloned as bug 610300. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 17 Jan 2011 11:21:01 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:dropbox' to 'ftp.debian.org'. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 17 Jan 2011 11:21:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions dropbox/1.0.10-1. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 17 Jan 2011 11:21:04 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 17 Jan 2011 11:21:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: dropbox -- RoQA; unredistributable; non-free; NPOASR' from 'dropbox: multiple license violations' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 17 Jan 2011 11:21:06 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 17 Jan 2011 11:57:11 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Mon, 17 Jan 2011 11:57:11 GMT) Full text and rfc822 format available.

Message #25 received at 610300-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 610300-close@bugs.debian.org
Cc: dropbox@packages.debian.org, dropbox@packages.qa.debian.org
Subject: Bug#610300: Removed package(s) from unstable
Date: Mon, 17 Jan 2011 11:51:58 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

   dropbox |   1.0.10-1 | source, amd64, i386

------------------- Reason -------------------
RoQA; unredistributable; non-free; NPOASR
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610300@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/610300

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug 610300 cloned as bug 610303. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Mon, 17 Jan 2011 12:12:01 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 17 Jan 2011 12:12:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'ftp.debian.org' to 'snapshots.debian.org'. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Mon, 17 Jan 2011 12:21:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'snapshots.debian.org' to 'snapshot.debian.org'. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Mon, 17 Jan 2011 12:24:03 GMT) Full text and rfc822 format available.

Reply sent to Peter Palfrader <weasel@debian.org>:
You have taken responsibility. (Mon, 17 Jan 2011 17:27:07 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Mon, 17 Jan 2011 17:27:07 GMT) Full text and rfc822 format available.

Message #38 received at 610303-done@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: 610303-done@bugs.debian.org
Cc: Alexander Reichle-Schmehl <tolimar@debian.org>
Subject: Re: Needs also to be removed from snapshot.d.o
Date: Mon, 17 Jan 2011 18:25:47 +0100
On Mon, 17 Jan 2011, Alexander Reichle-Schmehl wrote:

[Please Cc the bug itself next time too, you only sent this mail to control@]
> Seems that dropbox must also be removed from snapshot.d.o.  I checked
> the debian/copyright from the first version available, and think that
> all version are affected and have to go.

Thanks Alexander, much appreciated.

This has been taken care of: http://snapshot.debian.org/removal/24

Cheers,
weasel
-- 
                           |  .''`.  ** Debian GNU/Linux **
      Peter Palfrader      | : :' :      The  universal
 http://www.palfrader.org/ | `. `'      Operating System
                           |   `-    http://www.debian.org/




Information forwarded to debian-bugs-dist@lists.debian.org, snapshot.debian.org Team <snapshot@debian.org>:
Bug#610303; Package snapshot.debian.org. (Tue, 25 Jan 2011 00:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rian Hunter <rian@dropbox.com>:
Extra info received and forwarded to list. Copy sent to snapshot.debian.org Team <snapshot@debian.org>. (Tue, 25 Jan 2011 00:09:10 GMT) Full text and rfc822 format available.

Message #43 received at 610303@bugs.debian.org (full text, mbox):

From: Rian Hunter <rian@dropbox.com>
To: ivan1986@list.ru, 610257@bugs.debian.org, 610300@bugs.debian.org, 610303@bugs.debian.org
Subject: dropbox 1.0.17 distribution now complies to copyright complaints
Date: Mon, 24 Jan 2011 15:41:47 -0800 (PST)
hi all

we recently released a distribution of dropbox that corrects all the 
complains listed in these debian bug reports. thanks for the feedback, 
please let me know if there is anything i can do to make dropbox comply to 
any more possible copyright requirements. get the new build at:

http://forums.dropbox.com/topic.php?id=31870

check the README or ACKNOWLEDGEMENTS files included in the distribution 
for the required copyright notices. thanks a lot!

rian




Information forwarded to debian-bugs-dist@lists.debian.org, snapshot.debian.org Team <snapshot@debian.org>:
Bug#610303; Package snapshot.debian.org. (Tue, 25 Jan 2011 09:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to snapshot.debian.org Team <snapshot@debian.org>. (Tue, 25 Jan 2011 09:21:11 GMT) Full text and rfc822 format available.

Message #48 received at 610303@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Rian Hunter <rian@dropbox.com>, 610300@bugs.debian.org
Cc: ivan1986@list.ru, 610257@bugs.debian.org, 610303@bugs.debian.org
Subject: Re: Bug#610300: dropbox 1.0.17 distribution now complies to copyright complaints
Date: Tue, 25 Jan 2011 10:17:28 +0100
Hi!

Am 25.01.2011 00:41, schrieb Rian Hunter:

> we recently released a distribution of dropbox that corrects all the
> complains listed in these debian bug reports. thanks for the feedback,
> please let me know if there is anything i can do to make dropbox comply
> to any more possible copyright requirements. get the new build at:

Thanks for keeping us updated, however, dropbox has been removed from
the Debian archive in the meantime, one of the reasons was, that it's
maintainer expressed, that he didn't had any interest in maintaining
dropbox in Debian.

Of course there are no reasons that's no permanent ban; should a new
volunteer step up to maintain dropbox in Debian (or the former
maintainer change his opinion), dropbox can be added to the Debian
archive again.


Best regards,
  Alexander, ftp-assistant




Information forwarded to debian-bugs-dist@lists.debian.org, snapshot.debian.org Team <snapshot@debian.org>:
Bug#610303; Package snapshot.debian.org. (Tue, 25 Jan 2011 15:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike O'Connor <stew@debian.org>:
Extra info received and forwarded to list. Copy sent to snapshot.debian.org Team <snapshot@debian.org>. (Tue, 25 Jan 2011 15:09:12 GMT) Full text and rfc822 format available.

Message #53 received at 610303@bugs.debian.org (full text, mbox):

From: Mike O'Connor <stew@debian.org>
To: Rian Hunter <rian@dropbox.com>, 610300@bugs.debian.org, 610257@bugs.debian.org, 610300@bugs.debian.org, 610303@bugs.debian.org
Subject: Re: Bug#610300: dropbox 1.0.17 distribution now complies to copyright complaints
Date: Tue, 25 Jan 2011 09:34:30 -0500
[Message part 1 (text/plain, inline)]
On Mon, 24 Jan 2011 15:41:47 -0800 (PST), Rian Hunter <rian@dropbox.com> wrote:
> hi all
> 
> we recently released a distribution of dropbox that corrects all the 
> complains listed in these debian bug reports. thanks for the feedback, 
> please let me know if there is anything i can do to make dropbox comply to 
> any more possible copyright requirements. get the new build at:
> 
> http://forums.dropbox.com/topic.php?id=31870
> 
> check the README or ACKNOWLEDGEMENTS files included in the distribution 
> for the required copyright notices. thanks a lot!
> 
> rian
> 

Rian,

I don't see a license for dropbox in either the README nor
ACKNOWLEDGEMENTS.  I only see licenses for 3rd party software you
agregated.  

I also don't find source code for this release.

Forgive me if I'm overlooking something obvious.

thanks,
stew
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, snapshot.debian.org Team <snapshot@debian.org>:
Bug#610303; Package snapshot.debian.org. (Sat, 05 Feb 2011 10:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to snapshot.debian.org Team <snapshot@debian.org>. (Sat, 05 Feb 2011 10:24:08 GMT) Full text and rfc822 format available.

Message #58 received at 610303@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: 610257@bugs.debian.org, 610300@bugs.debian.org, 610303@bugs.debian.org, "Mike O'Connor" <stew@debian.org>, Rian Hunter <rian@dropbox.com>, Ivan Borzenkov <ivan1986@list.ru>
Subject: Re: Bug#610300: dropbox 1.0.17 distribution now complies to copyright complaints
Date: Sat, 5 Feb 2011 02:22:19 -0800
[Message part 1 (text/plain, inline)]
In response to Mike, you wouldn't find the source code for the Dropbox
daemon in any release, as it is proprietary (but still distributable, hence
non-free). However, Dropbox's Nautilus plugin is open source, and licensed
under the GPLv3 (Rian, please correct me if I'm wrong). Ivan's original
Dropbox package in Debian never included the Nautilus plugin though.

I'm a Dropbox + Debian user (and aspiring packager/contributor), so I would
be interested in adopting and maintaining this package if Ivan no longer
wants to take care of it. I'm very much new at Debian packaging; I've
learned the basics during Google Code-In a month ago, but I would definitely
appreciate the help of anybody with more experience, and I would also need a
sponsor to upload my package once it's done. I'm willing to put in the time
necessary to ensure that debian/copyright is compliant with the Debian
Policy, but again, I'll need some guidance to do so.

Best regards,
~ Vincent Cheng <Vincentc1208@gmail.com>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, snapshot.debian.org Team <snapshot@debian.org>:
Bug#610303; Package snapshot.debian.org. (Wed, 16 Feb 2011 04:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to snapshot.debian.org Team <snapshot@debian.org>. (Wed, 16 Feb 2011 04:39:06 GMT) Full text and rfc822 format available.

Message #63 received at 610303@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: 610257@bugs.debian.org, 610300@bugs.debian.org, 610303@bugs.debian.org
Cc: "Mike O'Connor" <stew@debian.org>, Rian Hunter <rian@dropbox.com>, Ivan Borzenkov <ivan1986@list.ru>, Jakub Wilk <jwilk@debian.org>, Alexander Reichle-Schmehl <tolimar@debian.org>
Subject: Re: dropbox 1.0.17 distribution now complies to copyright complaints
Date: Tue, 15 Feb 2011 20:37:34 -0800
[Message part 1 (text/plain, inline)]
As promised earlier, I've re-packaged Dropbox (based off of Ivan's work) and
have tried to address the licensing issues in the packaging. I would be
grateful if any Debian developers/maintainers could look through my
packaging and help me resolve any further licensing issues that I missed,
and perhaps even sponsor my package. Thank you!

The package can be found on mentors.debian.net:
- URL: http://mentors.debian.net/debian/pool/non-free/d/dropbox
- Source repository: deb-src http://mentors.debian.net/debian unstable main
contrib non-free
- dget
http://mentors.debian.net/debian/pool/non-free/d/dropbox/dropbox_1.0.20-1.dsc

Best regards,
~ Vincent Cheng <Vincentc1208@gmail.com>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, snapshot.debian.org Team <snapshot@debian.org>:
Bug#610303; Package snapshot.debian.org. (Sat, 19 Feb 2011 00:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike O'Connor <stew@debian.org>:
Extra info received and forwarded to list. Copy sent to snapshot.debian.org Team <snapshot@debian.org>. (Sat, 19 Feb 2011 00:39:06 GMT) Full text and rfc822 format available.

Message #68 received at 610303@bugs.debian.org (full text, mbox):

From: Mike O'Connor <stew@debian.org>
To: Vincent Cheng <vincentc1208@gmail.com>, 610300@bugs.debian.org, 610257@bugs.debian.org, 610300@bugs.debian.org, 610303@bugs.debian.org
Cc: Rian Hunter <rian@dropbox.com>, Ivan Borzenkov <ivan1986@list.ru>, Jakub Wilk <jwilk@debian.org>, Alexander Reichle-Schmehl <tolimar@debian.org>
Subject: Re: Bug#610300: dropbox 1.0.17 distribution now complies to copyright complaints
Date: Wed, 16 Feb 2011 00:08:02 -0500
[Message part 1 (text/plain, inline)]
On Tue, 15 Feb 2011 20:37:34 -0800, Vincent Cheng <vincentc1208@gmail.com> wrote:
> As promised earlier, I've re-packaged Dropbox (based off of Ivan's work) and
> have tried to address the licensing issues in the packaging. I would be
> grateful if any Debian developers/maintainers could look through my
> packaging and help me resolve any further licensing issues that I missed,
> and perhaps even sponsor my package. Thank you!
> 
> The package can be found on mentors.debian.net:
> - URL: http://mentors.debian.net/debian/pool/non-free/d/dropbox
> - Source repository: deb-src http://mentors.debian.net/debian unstable main
> contrib non-free
> - dget
> http://mentors.debian.net/debian/pool/non-free/d/dropbox/dropbox_1.0.20-1.dsc
> 
> Best regards,
> ~ Vincent Cheng <Vincentc1208@gmail.com>

As mentioned previously, without a distribution license for this
software.  we cannot distribute it.  Please get upstream to clarify what
the terms are for distributing their software.  Their README and
ACKNOLOEGEMENTS files talk about the licenses for distributing the
software they agregate, but not for the software for which they claim
copyright.

stew
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, snapshot.debian.org Team <snapshot@debian.org>:
Bug#610303; Package snapshot.debian.org. (Sat, 19 Feb 2011 10:27:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to snapshot.debian.org Team <snapshot@debian.org>. (Sat, 19 Feb 2011 10:27:17 GMT) Full text and rfc822 format available.

Message #73 received at 610303@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: debian-mentors@lists.debian.org, 613788@bugs.debian.org, 610257@bugs.debian.org, 610300@bugs.debian.org, 610303@bugs.debian.org
Cc: "Dmitry E. Oboukhov" <unera@debian.org>, Ivan Borzenkov <ivan1986@list.ru>
Subject: RFS: Dropbox
Date: Sat, 19 Feb 2011 02:24:36 -0800
[Message part 1 (text/plain, inline)]
I've uploaded Dropbox again to Debian mentors; it includes several suggested
fixes, and it's now one step closer to possibly being accepted into Debian.
(This isn't my final upload though.)

The package can be found on mentors.debian.net:
- URL: http://mentors.debian.net/debian/pool/non-free/d/dropbox
- Source repository: deb-src http://mentors.debian.net/debian unstable main
contrib non-free
- dget
http://mentors.debian.net/debian/pool/non-free/d/dropbox/dropbox_1.0.20-2.dsc

Of the 52 libraries that was originally in the source tarball and in my
first upload, only a few remain. I've managed to track down the origins of
most of the libraries with apt-file, and instead of including those
libraries in the source tarball, I've set those packages as build-depends
and used dh_link to establish symlinks to Dropbox's directory.

Dropbox now depends on the following packages: python2.5, python-dbus,
libbz2-1.0, libssl0.9.8, libdbus-1-3, libdbus-glib-1-2, libpng12-0,
libpopt0, librsync1, libsqlite3-0, libssl0.9.8, libstdc++6,
libwxbase2.8-dbg, python-wxgtk2.8, zlib1g, python-simplejson,
python-netifaces

(I've chosen python2.5 over python2.6/3.1 because python2.5 includes all the
python-related libraries that Dropbox needs, whereas python2.6/3.1 only
includes some.)

The following libraries/binaries are still present in the source tarball
I've uploaded.

- _librsync.so: not present in librsync1. apt-file says that it's included
in the packages "rdiff-backup" and "duplicity", but I'm unsure if they are
the same libraries.
- dropbox: the actual dropbox binary
- fastpath.so: I have no idea what this library is, or what purpose it
serves.
- ncrypt/*: ncrypt is not yet packaged for Debian. It seems that this
package has already been requested in a RFP bug report for "python-ncrypt".
(http://bugs.debian.org/528358)
- netifaces/netifaces.pyc: this Python bytecode file doesn't seem to be in
Debian's python-netifaces package. I've no idea whether or not this is
needed, but I've included it at the moment for safe measure.

Eventually, only "dropbox" will be left in the source tarball. I'll have to
find some way between now and my next upload(s) to get rid of the remaining
libraries. It looks like I may also have to package python-ncrypt; if nobody
else is interested in this package, I'll look into it in the next few days
and try to package it. Incidentally, does anyone know where I might possibly
find the origin of "_librsync.so" or "fastpath.so"?

To address a few of the questions/comments I've received over the past few
days:
- I don't know Dropbox's actual distribution license, which is why the
license for the dropbox binary in debian/copyright only consists of
"Copyright 2008-2011 Dropbox, Inc. All rights reserved." I've contacted
upstream to try and find out where I can obtain the actual license for the
distribution of Dropbox.
- While I don't have the text of the distribution license, the previous
Dropbox maintainer has given me a copy of an e-mail conversation he had with
a Dropbox employee who granted him permission to distribute Dropbox in
Debian. See /usr/share/doc/dropbox/dropbox.mbox.

Kind regards,
~ Vincent Cheng <Vincentc1208@gmail.com>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, snapshot.debian.org Team <snapshot@debian.org>:
Bug#610303; Package snapshot.debian.org. (Sat, 19 Feb 2011 14:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Loeffler <knarf@cct.lsu.edu>:
Extra info received and forwarded to list. Copy sent to snapshot.debian.org Team <snapshot@debian.org>. (Sat, 19 Feb 2011 14:39:07 GMT) Full text and rfc822 format available.

Message #78 received at 610303@bugs.debian.org (full text, mbox):

From: Frank Loeffler <knarf@cct.lsu.edu>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: debian-mentors@lists.debian.org, 613788@bugs.debian.org, 610257@bugs.debian.org, 610300@bugs.debian.org, 610303@bugs.debian.org, "Dmitry E. Oboukhov" <unera@debian.org>, Ivan Borzenkov <ivan1986@list.ru>
Subject: Re: RFS: Dropbox
Date: Sat, 19 Feb 2011 08:18:20 -0600
[Message part 1 (text/plain, inline)]
Hi,

On Sat, Feb 19, 2011 at 02:24:36AM -0800, Vincent Cheng wrote:
> - fastpath.so: I have no idea what this library is, or what purpose it
> serves.

The binary contains the string "Fast ServerPath object for Dropbox",
which indicates that this is some dropbox specific library.

Frank (not a DD)

[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Mar 2011 07:32:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:59:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.